package com.brilliance.isc.funds.fttfcn.resource;

import com.brilliance.isc.common.transaction.controller.AbstractTransactionController;
import com.brilliance.isc.funds.fttfcn.service.FttfcnTransactionServiceImpl;
import com.brilliance.isc.funds.transfer.transaction.FttfcnStructMapper;
import com.brilliance.isc.funds.vo.funds.FttfcnStoreVo;
import com.brilliance.isc.transfer.IStructMapper;
import com.brilliance.isc.vo.ResponseSet;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @program: isc-funds
 * @ClassName: FttfcnResource
 * @description: 结售汇平盘确认 fttfcn 请求入口
 * @author: xiaotong
 * @create: 2024-10-11 17:09
 */

@RestController
@RequestMapping("/fttfcn")
public class FttfcnResource extends AbstractTransactionController<FttfcnStoreVo> {

    @Resource
    private FttfcnStructMapper fttfcnStructMapper;

    public IStructMapper getStructMapper() {
        return fttfcnStructMapper;
    }

    @Resource
    FttfcnTransactionServiceImpl fttfcnTransactionService;





}
