package com.brilliance.isc.funds.fttpcm.document;

import com.brilliance.isc.doc.handle.impl.AbstractTransactionDocSet;
import com.brilliance.isc.funds.bo.funds.FttpcmStoreBo;
import com.brilliance.isc.funds.fxtfop.document.FxtfopDocSet;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;


@Component("fttpcm.docset")
public class FttpcmDocSet  extends AbstractTransactionDocSet<FttpcmStoreBo> {
    private static final Logger logger = LoggerFactory.getLogger(FxtfopDocSet.class);

    /**
     * 构建需要支持的面函组件
     */
    @PostConstruct
    public void buildMember() {
        //扫描Cortype支持，必须要执行
        scanDocCortypSupport();
    }
}
