package com.brilliance.isc.funds.vo.funds;

import com.brilliance.isc.bo.model.Fxdgrp;
import com.brilliance.isc.bo.model.Fxtp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.funds.FxdgrpVo;
import com.brilliance.isc.vo.funds.FxtpVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
 * @program: isc-funds
 * @ClassName: FxtssbStoreVo
 * @description: 即期结汇bo
 * @author: huangshunlin
 * @create: 2024-10-08 15:26
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class FxtssbStoreVo extends BaseTransactionVo {

    private FxdgrpVo fxdgrp;

    private FxtpVo fxtp;

    @Override
    public void reset() {
        super.reset();
        if (fxdgrp == null) {
            fxdgrp = new FxdgrpVo();
        }
        fxdgrp.reset();

        if (fxtp == null) {
            fxtp = new FxtpVo();
        }
        fxtp.reset();
    }
}
