package com.brilliance.isc.funds.common.controller;

import com.brilliance.isc.common.api.fee.controller.AbstractFeeDetailController;
import com.brilliance.isc.common.api.fee.vo.FeeDetailRequestVo;
import com.brilliance.isc.common.api.fee.vo.FeeDetailResponseVo;
import com.brilliance.isc.vo.ResponseSet;
import com.brilliance.isc.vo.funds.FtdBizAmdInfoVo;
import com.brilliance.isc.vo.funds.FtdBizInfoVo;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 费用组件
 */
@RestController
@RequestMapping("/ftd")
public class FtdFeeDetailController extends AbstractFeeDetailController<FtdBizInfoVo, FtdBizAmdInfoVo> {


    /**
     * 试算费用入口
     *
     * @param feeDetailRequestVo
     * @return
     */

    @RequestMapping("/setmod/calcFeeDetail")
    @Override
    public ResponseSet<FeeDetailResponseVo> calcFeeDetail(@RequestBody FeeDetailRequestVo<FtdBizInfoVo, FtdBizAmdInfoVo> feeDetailRequestVo) {
        return super.calcFeeDetail(feeDetailRequestVo);
    }
}
