package com.brilliance.isc.funds.fxtfcn.register.liaall;

import com.brilliance.isc.common.liaall.vo.LiaallVo;
import com.brilliance.isc.common.register.fee.AbstractFeeRegister;
import com.brilliance.isc.common.register.liaall.ILiaallRegister;
import com.brilliance.isc.common.register.liaall.common.LiaallRegister;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @program: isc-funds
 * @ClassName: FxtfcnLiaallRegister
 * @description: 结售汇平盘确认 Fxtfcn 表外注册
 * @author: Lenovo
 * @create: 2024-10-11 17:41
 */
@Component("fxtfcn.liaallSetTransaction")
public class FxtfcnLiaallRegister implements ILiaallRegister {

    @Autowired
    private LiaallRegister liaallRegister;

    @Override
    public void liaallSetTransaction(LiaallVo liaallVo) {
        liaallRegister.liaallSetTransaction(liaallVo);
    }

}
