package com.brilliance.isc.funds.fxtfcn.resource;

import com.brilliance.isc.common.transaction.controller.AbstractTransactionController;
import com.brilliance.isc.funds.bo.funds.FxtfcnStoreBo;
import com.brilliance.isc.funds.transfer.transaction.FxtfcnStructMapper;
import com.brilliance.isc.funds.vo.funds.FxtfcnStoreVo;
import com.brilliance.isc.transfer.IStructMapper;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @program: isc-funds
 * @ClassName: FxtfcnResource
 * @description: 结售汇平盘确认 Fxtfcn 请求入口
 * @author: xiaotong
 * @create: 2024-10-11 17:09
 */

@RestController
@RequestMapping("/fxtfcn")
public class FxtfcnResource extends AbstractTransactionController<FxtfcnStoreVo> {

    @Resource
    private FxtfcnStructMapper fxtfcnStructMapper;

    public IStructMapper getStructMapper() {
        return fxtfcnStructMapper;
    }
}
