package com.brilliance.isc.funds.fxtlcm.register.liaall;

import com.brilliance.isc.common.liaall.vo.LiaallVo;
import com.brilliance.isc.common.register.liaall.ILiaallRegister;
import com.brilliance.isc.common.register.liaall.common.LiaallRegister;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @program: isc-funds
 * @ClassName: FxtlcmLiaallRegister
 * @description: 结售汇平盘确认 Fxtlcm 表外注册
 * @author: Lenovo
 * @create: 2024-10-14 15:31
 */
@Component("fxtlcm.liaallSetTransaction")
public class FxtlcmLiaallRegister implements ILiaallRegister {
    @Autowired
    private LiaallRegister liaallRegister;

    @Override
    public void liaallSetTransaction(LiaallVo liaallVo) {
        liaallRegister.liaallSetTransaction(liaallVo);
    }
}
